tests/test-qemu.sh \
tests/test-rhel5-xen-dom0.sh \
tests/test-rhel5-xen-domU-hvm.sh \
+ tests/test-rhel5-xen-domU-hvm-ia64.sh \
tests/test-rhel5-xen-domU-pv.sh \
tests/test-zvm.sh
tests/rhel5-xen-domU-hvm/sbin/id \
tests/rhel5-xen-domU-hvm/sbin/uname \
tests/rhel5-xen-domU-hvm/sbin/virt-what-cpuid-helper \
+ tests/rhel5-xen-domU-hvm-ia64/proc/cpuinfo \
+ tests/rhel5-xen-domU-hvm-ia64/proc/self/status \
+ tests/rhel5-xen-domU-hvm-ia64/sbin/dmidecode \
+ tests/rhel5-xen-domU-hvm-ia64/sbin/id \
+ tests/rhel5-xen-domU-hvm-ia64/sbin/uname \
+ tests/rhel5-xen-domU-hvm-ia64/sbin/virt-what-cpuid-helper \
+ tests/rhel5-xen-domU-hvm-ia64/sys/bus/xen/drivers/vbd/bind \
+ tests/rhel5-xen-domU-hvm-ia64/sys/bus/xen/drivers/vbd/unbind \
+ tests/rhel5-xen-domU-hvm-ia64/sys/bus/xen/drivers/vif/bind \
+ tests/rhel5-xen-domU-hvm-ia64/sys/bus/xen/drivers/vif/unbind \
+ tests/rhel5-xen-domU-hvm-ia64/sys/bus/xen/drivers_probe \
tests/rhel5-xen-domU-pv/proc/cpuinfo \
tests/rhel5-xen-domU-pv/proc/self/status \
tests/rhel5-xen-domU-pv/proc/xen/balloon \
--- /dev/null
+processor : 0
+vendor : GenuineIntel
+arch : IA-64
+family : Itanium 2
+model : 1
+revision : 1
+archrev : 0
+features : branchlong, 16-byte atomic ops
+cpu number : 0
+cpu regs : 4
+cpu MHz : 1666.000013
+itc MHz : 416.003685
+BogoMIPS : 3252.22
+siblings : 1
+
+processor : 1
+vendor : GenuineIntel
+arch : IA-64
+family : Itanium 2
+model : 1
+revision : 1
+archrev : 0
+features : branchlong, 16-byte atomic ops
+cpu number : 0
+cpu regs : 4
+cpu MHz : 1666.000013
+itc MHz : 416.003685
+BogoMIPS : 3194.88
+siblings : 1
+
+processor : 2
+vendor : GenuineIntel
+arch : IA-64
+family : Itanium 2
+model : 1
+revision : 1
+archrev : 0
+features : branchlong, 16-byte atomic ops
+cpu number : 0
+cpu regs : 4
+cpu MHz : 1666.000013
+itc MHz : 416.003685
+BogoMIPS : 3276.80
+siblings : 1
+
+processor : 3
+vendor : GenuineIntel
+arch : IA-64
+family : Itanium 2
+model : 1
+revision : 1
+archrev : 0
+features : branchlong, 16-byte atomic ops
+cpu number : 0
+cpu regs : 4
+cpu MHz : 1666.000013
+itc MHz : 416.003685
+BogoMIPS : 3260.41
+siblings : 1
+
--- /dev/null
+Name: cat
+State: R (running)
+SleepAVG: 88%
+Tgid: 4118
+Pid: 4118
+PPid: 3010
+TracerPid: 0
+Uid: 0 0 0 0
+Gid: 0 0 0 0
+FDSize: 256
+Groups: 0 1 2 3 4 6 10
+VmPeak: 60944 kB
+VmSize: 60944 kB
+VmLck: 0 kB
+VmHWM: 1216 kB
+VmRSS: 1216 kB
+VmData: 224 kB
+VmStk: 352 kB
+VmExe: 32 kB
+VmLib: 2752 kB
+VmPTE: 80 kB
+StaBrk: 600000000000c000 kB
+Brk: 6000000000030000 kB
+StaStk: 60000fffffbdba00 kB
+Threads: 1
+SigQ: 1/1968
+SigPnd: 0000000000000000
+ShdPnd: 0000000000000000
+SigBlk: 0000000000000000
+SigIgn: 0000000000000000
+SigCgt: 0000000000000000
+CapInh: 0000000000000000
+CapPrm: 00000000fffffeff
+CapEff: 00000000fffffeff
+Cpus_allowed: 00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,ffffffff
+Mems_allowed: 00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000000,00000001
--- /dev/null
+#!/bin/sh -
+echo '# dmidecode 2.11'
+echo '/sys/firmware/efi/systab: SMBIOS entry point missing' >&2
+exit 1
--- /dev/null
+#!/bin/sh -
+echo 0
--- /dev/null
+#!/bin/sh -
+echo ia64
--- /dev/null
+#!/bin/sh -
+# nothing, see https://bugzilla.redhat.com/show_bug.cgi?id=707508
\ No newline at end of file
--- /dev/null
+# Test for RHEL 5 Xen DomU HVM (aka full virtualization) on IA64.
+# Copyright (C) 2008-2011 Red Hat Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+
+root=tests/rhel5-xen-domU-hvm-ia64
+
+output="$(./virt-what --test-root=$root 2>&1)"
+expected="xen
+xen-domU"
+
+if [ "$output" != "$expected" ]; then
+ echo "$0: test failed because output did not match expected"
+ echo "Expected output was:"
+ echo "----------------------------------------"
+ echo "$expected"
+ echo "----------------------------------------"
+ echo "But the actual output of the program was:"
+ echo "----------------------------------------"
+ echo "$output"
+ echo "----------------------------------------"
+ exit 1
+fi